Subject: Re: crash on going into non-existing dir with find-file

From: Chong Yidong <[email-masked]>
Date: Fri, 14 Nov 2008 12:48:23 -0500

> 1. eval (find-file "file:///Users/xah/web/emacs/apple_pc_kb_diff.html")
> then you'll go into a empty buffer.
>
> 2. now M-x find-file, hit Enter. Now i expect to go to the dir this  
> file is located. (note that the file doesn't exist yet)
>
> 3. emacs crashed.
>
> am pretty sure this is 100% reproducible. It crashed 3 times on me.
>
> In GNU Emacs 22.2.1 (powerpc-apple-darwin8.11.0, Carbon Version 1.6.0)
>  of 2008-04-05 on g5.tokyo.stp.isas.jaxa.jp

I can't reproduce this on GNU Emacs 23.0.60.19 (i686-pc-linux-gnu, GTK+
Version 2.14.4) of 2008-11-13.  This is probably either an Emacs 22 only
bug or a Emacs Carbon bug.  If someone could check whether the crash
happens on Emacs 23 Cocoa, that would be good.